org.eclipse.microprofile.reactive.streams.operators.spi

## Interface Stage.Limit

All Superinterfaces:
  Stage

Enclosing interface:
  Stage

    public static interface Stage.Limit
    extends Stage

A limit stage.

Only `limit` elements may be emitted, once that many elements are emitted, downstream must be completed, and upstream must be cancelled. Any subsequent elements received from upstream before the cancellation signal is handled must be dropped.

If less than `limit` elements are received before termination, then the termination must be propagated downstream as normal.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.microprofile.reactive.streams.operators.spi.Stage

`Stage.Cancel, Stage.Collect, Stage.Concat, Stage.Coupled, Stage.Distinct, Stage.DropWhile, Stage.Failed, Stage.Filter, Stage.FindFirst, Stage.FlatMap, Stage.FlatMapCompletionStage, Stage.FlatMapIterable, Stage.FromCompletionStage, Stage.FromCompletionStageNullable, Stage.Limit, Stage.Map, Stage.Of, Stage.OnComplete, Stage.OnError, Stage.OnErrorResume, Stage.OnErrorResumeWith, Stage.OnTerminate, Stage.Peek, Stage.ProcessorStage, Stage.PublisherStage, Stage.Skip, Stage.SubscriberStage, Stage.TakeWhile`

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getLimit()` The limit.

### Method Detail

#### getLimit

    long getLimit()

The limit.

Returns:
  The limit.